Numberer_de
Keywords: com.icl.saxon.number.Numberer_de class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.number
Class Numberer_de

    java.lang.Object
      com.icl.saxon.number.Numberer_en
          com.icl.saxon.number.Numberer_de

All Implemented Interfaces:
  Numberer

public class Numberer_de
extends Numberer_en

Class Numberer_de is designed simply to demonstrate how to write a number formatter for a different language. This one will be activated for language="de", format="eins", letter-value="traditional"

Field Summary

Fields inherited from class com.icl.saxon.number.Numberer_en
`cyrillicLower, cyrillicUpper, englishTens, englishUnits, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, kanjiDigits, katakanaA, katakanaI, latinLower, latinUpper, westernDigits`

Constructor Summary
`Numberer_de()`

Method Summary
`java.lang.String` | `format(int number, java.lang.String picture, int groupSize, java.lang.String groupSeparator, java.lang.String letterValue)` Format a number into a string

Methods inherited from class com.icl.saxon.number.Numberer_en
`alphaDefault, toAlpha, toAlphaSequence, toRadical, toRoman, toWords`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Numberer_de

    public Numberer_de()

Method Detail

### format

    public java.lang.String format(int number,
                                   java.lang.String picture,
                                   int groupSize,
                                   java.lang.String groupSeparator,
                                   java.lang.String letterValue)

  Format a number into a string

  Specified by:
    `format` in interface `Numberer`
  Overrides:
    `format` in class `Numberer_en`
  Parameters:
    `number` - The number to be formatted
    `picture` - The format specification. This is a single component of the format attribute of xsl:number, e.g. "1", "01", "i", or "a"
    `groupSize` - number of digits per group (0 implies no grouping)
    `groupSeparator` - string to appear between groups of digits
    `letterValue` - as defined in xsl:number ("alphabetic" or "traditional" or "")
  Returns:
    the formatted number

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD